<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <style>
                table, td{font:100% Arial, Helvetica, sans-serif;}
                table{width:100%;border-collapse:collapse;margin:1em 0;}
                th, td{text-align:left;padding:1px;border:1px solid #fff;}
                th {background:#328aa4;color:#fff;}
                td {background:#e5f1f4;}
               </style>
            <body>
                <h2>
                    Build Report: <xsl:value-of select="/buildreport/@buildName"/> (<xsl:value-of select="/buildreport/@buildNumber"/>)
                </h2>
                <table border="0" width="100%">
                    <tr>
                        <th>Build Agent</th>
                        <th>Build Agent Uri</th>
                        <th>Build Controller</th>
                        <th>Build Uri</th>
                    </tr>
                    <TR align="middle">
                        <TD>
                            <xsl:value-of select="/buildreport/@buildAgent" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@buildAgentUri" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@buildController" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@buildUri" />
                        </TD>
                    </TR>
                    <tr>
                        <th>Team Project</th>
                        <th>Compilation Status</th>
                        <th>Test Status</th>
                        <th>Build Reason</th>
                    </tr>
                    <TR align="middle">
                        <TD>
                            <xsl:value-of select="/buildreport/@teamProject" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@compilationStatus" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@testStatus" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@buildReason" />
                        </TD>
                    </TR>
                    <tr>
                        <th>Requested By</th>
                        <th>Requested For</th>
                        <th>Source Get Version</th>
                        <th>Log Location</th>
                    </tr>
                    <TR align="middle">
                        <TD>
                            <xsl:value-of select="/buildreport/@requestedBy" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@requestedFor" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@sourceGetVersion" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@logLocation" />
                        </TD>
                    </TR>
                    <tr>
                        <th>Start Time</th>
                        <th>Report Time</th>
                        <th>Drop Location</th>
                        <th></th>
                    </tr>
                    <TR align="middle">
                        <TD>
                            <xsl:value-of select="/buildreport/@startTime" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@reportTime" />
                        </TD>
                        <TD>
                            <xsl:value-of select="/buildreport/@dropLocation" />
                        </TD>
                        <TD>

                        </TD>
                    </TR>
                </table>
                <h3>
                    Changesets
                </h3>
                <table width="80%">
                    <tr>
                        <th>Id</th>
                        <th>Committer</th>
                        <th>Owner</th>
                        <th># Associated Work Items</th>
                        <th># Associated Files</th>
                        <th>Comment</th>
                    </tr>
                    <xsl:for-each select="/buildreport/Changesets/changeset">
                        <xsl:variable name="cid" select="@id" />
                        <TR align="middle">
                            <TD>
                                <xsl:value-of select="@id" />
                            </TD>
                            <TD>
                                <xsl:value-of select="@committer" />
                            </TD>
                            <TD>
                                <xsl:value-of select="@owner" />
                            </TD>
                            <TD>
                                <xsl:value-of select="@associatedWorkItems" />
                            </TD>
                            <TD>
                                <xsl:value-of select="@associatedFiles" />
                            </TD>
                            <TD>
                                <xsl:value-of select="." />
                            </TD>
                        </TR>
                        <TR>
                            <TD/>
                            <TD/>
                            <TD/>
                            <TD colspan="3">
                                <Table>
                                    <tr>
                                        <th colspan="5">Work Items</th>
                                    </tr>
                                    <tr>
                                        <TD>Type</TD>
                                        <TD>Id</TD>
                                        <TD>Title</TD>
                                        <TD>State</TD>
                                        <TD>Reason</TD>
                                    </tr>
                                    <xsl:for-each select="/buildreport/Changesets/changeset[@id = $cid]/WorkItems/workitem">
                                        <TR align="middle">
                                            <TD>
                                                <xsl:value-of select="@type" />
                                            </TD>
                                            <TD>
                                                <xsl:value-of select="@id" />
                                            </TD>
                                            <TD>
                                                <xsl:value-of select="@title" />
                                            </TD>
                                            <TD>
                                                <xsl:value-of select="@state" />
                                            </TD>
                                            <TD>
                                                <xsl:value-of select="@reason" />
                                            </TD>
                                        </TR>
                                    </xsl:for-each>
                                </Table>
                            </TD>
                        </TR>
                        <TR>
                            <TD/>
                            <TD/>
                            <TD/>
                            <TD colspan="3">
                                <Table>
                                    <tr>
                                        <th colspan="2">Files</th>
                                    </tr>
                                    <tr>
                                        <TD>Type</TD>
                                        <TD>Name</TD>
                                    </tr>
                                    <xsl:for-each select="/buildreport/Changesets/changeset[@id = $cid]/Files/file">
                                        <TR align="middle">
                                            <TD>
                                                <xsl:value-of select="@change" />
                                            </TD>
                                            <TD>
                                                <xsl:value-of select="@name" />
                                            </TD>
                                        </TR>
                                    </xsl:for-each>
                                </Table>
                            </TD>
                        </TR>
                    </xsl:for-each>
                </table>
                <h3>
                    Output Files
                </h3>
                <table width="80%">
                    <tr>
                        <th>Name</th>
                    </tr>
                    <xsl:for-each select="/buildreport/OutputFiles/file">
                        <TR>
                            <TD>
                                <xsl:value-of select="." />
                            </TD>
                        </TR>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>